ECHO OFF
CLS

REM  Filename:  HASXMS.BAT
REM  Does:      Tests operation of HASXMS.EXE
REM  Requires:  MS-DOS 2.0 or later
REM  Written:   May 2, 1995
REM  By:        Russ Bellew

IF "%1"==""  GOTO Instructions
IF "%1"=="?" GOTO Instructions

HASXMS %1
ECHO\
ECHO HASXMS.EXE has returned control to our batch file.
ECHO\
IF ERRORLEVEL 255 GOTO XMSerror
IF ERRORLEVEL   1 GOTO HasEnoughXMS
IF ERRORLEVEL   0 GOTO NotEnoughXMS

:Instructions
ECHO This batch file demonstrates the use of HASXMS.EXE.  It should be started
ECHO   with a numeric command line parameter equal to the minimum amount of extended
ECHO   memory for which you'd like to test.
ECHO\
ECHO For instance, to determine whether your computer has at least 256k of extended
ECHO   memory, start this batch file with the command:
ECHO\
ECHO                            TEST 256
ECHO\
GOTO End

:XMSerror
ECHO HASXMS returned an errorlevel of 255, which indicates that your extended memory
ECHO   manager detected a hardware or software fault.
GOTO End

:HasEnoughXMS
ECHO HASXMS returned an errorlevel of 1, which indicates that you have at least
ECHO   %1k of extended memory available.
GOTO End

:NotEnoughXMS
ECHO HASXMS returned an errorlevel of 0, which indicates that you have less than
ECHO   %1k of extended memory available.

:End
ECHO\
